//-----------------------------------------------------------------------------
// led_debug_mux_0_wrapper.v
//-----------------------------------------------------------------------------

module led_debug_mux_0_wrapper
  (
    IN_0,
    IN_1,
    IN_2,
    IN_3,
    IN_4,
    IN_5,
    IN_6,
    IN_7,
    IN_8,
    IN_9,
    IN_10,
    IN_11,
    IN_12,
    IN_13,
    IN_14,
    IN_15,
    SELECTOR,
    LED_OUT
  );
  input [3:0] IN_0;
  input [3:0] IN_1;
  input [3:0] IN_2;
  input [3:0] IN_3;
  input [3:0] IN_4;
  input [3:0] IN_5;
  input [3:0] IN_6;
  input [3:0] IN_7;
  input [3:0] IN_8;
  input [3:0] IN_9;
  input [3:0] IN_10;
  input [3:0] IN_11;
  input [3:0] IN_12;
  input [3:0] IN_13;
  input [3:0] IN_14;
  input [3:0] IN_15;
  input [3:0] SELECTOR;
  output [3:0] LED_OUT;

  led_debug_mux
    #(
      .C_NUM_INPUTS ( 2 )
    )
    led_debug_mux_0 (
      .IN_0 ( IN_0 ),
      .IN_1 ( IN_1 ),
      .IN_2 ( IN_2 ),
      .IN_3 ( IN_3 ),
      .IN_4 ( IN_4 ),
      .IN_5 ( IN_5 ),
      .IN_6 ( IN_6 ),
      .IN_7 ( IN_7 ),
      .IN_8 ( IN_8 ),
      .IN_9 ( IN_9 ),
      .IN_10 ( IN_10 ),
      .IN_11 ( IN_11 ),
      .IN_12 ( IN_12 ),
      .IN_13 ( IN_13 ),
      .IN_14 ( IN_14 ),
      .IN_15 ( IN_15 ),
      .SELECTOR ( SELECTOR ),
      .LED_OUT ( LED_OUT )
    );

endmodule

// synthesis attribute x_core_info of led_debug_mux_0_wrapper is led_debug_mux_v1_00_a;

