//2011.03.30.L -> Implemented 2 Dot Laser Tracking; Fixed Some Minor Stuff

#ifndef _GAME_H_
#define _GAME_H_

	#include <xbasic_types.h>
	#include <xparameters.h>
	#include <xiic_l.h>
	#include <stdlib.h>
	#include "Objects.h"
	#include "smiley.h"
	//#include "bomb.h"
	#include "VGA.h"
	#include "Laser_Track.h"
	#include "evilbomb.h"
	#include "star.h"
	#include "nuke.h"
	void Game(float ul_x, float ul_y, float lr_x, float lr_y, struct Buffered_screen* buf, 
					struct LaserTrackerModule * LM_ptr, struct LocalTrackerDataStruct * LD_ptr);
	void UpdateLaserCoords(struct LaserTrackerModule * LM_ptr, struct LocalTrackerDataStruct * LD_ptr);
	int Intersects(struct IntVector2 L1_Start, struct IntVector2 L1_End, struct IntVector2 L2_Start, struct IntVector2 L2_End);
	int LineCutsObject(struct Target* target, struct IntVector2* LineStart, struct IntVector2* LineEnd);
	float DotProduct(struct Vector2 *P1, struct Vector2 *P2);
	int randInt();
	void ActivatePowerUps(struct Target* target, int CurrentIteration);
	void UpdatePowerUps(int CurrentIteration);
	void MakeSmiley(struct Target* target);
	//void MakeBomb(struct Target* target, int CurrentIteration);
	void MakeEvilBomb(struct Target* target, int CurrentIteration);
	void MakeStar(struct Target* target, int CurrentIteration);
	void MakeNuke(struct Target* target, int CurrentIteration);
	void DestroyAll(int AddPoints, int IgnoreBadTargets);
	void DrawTarget(struct Screen* targetScreen, struct Target* target);
	void UpdateTarget(struct Target* target);
	void GenTargets(struct Target* TargetArray, int GenAmount);
	void UpdateScore(struct Screen* targetScreen,int score);
	void DrawDigit(struct Screen* targetScreen, int digit, int pos);
	
#endif
