//2011.03.30.L -> Fixed Some Minor Stuff
//2011.03.27.L -> Original Version

#ifndef _LASER_TRACK_H_
#define _LASER_TRACK_H_

	#include "VGA.h"

	#define LASER_TRACK_BASE_ADDR			0x45000000
	//#define LASER_TRACK_COLOR_ADDR			0x45000000
	//#define LASER_TRACK_POSIT_1_ADDR		0x45000004
	//#define LASER_TRACK_POSIT_2_ADDR		0x45000008
	
	//#define RED_LASER_COLOR					0x00a0f3cf	//R=60; G=60; B=60; M=5; refresh_rate=0
	//#define RED_LASER_COLOR					0x00a0f3cf	//R=60; G=60; B=60; M=5; refresh_rate=0
	//#define RED_LASER_COLOR					0x00a37df7	//R=59; G=59; B=59; M=5; refresh_rate=0
	//#define RED_LASER_COLOR					0x006175d7	//R=58; G=58; B=58; M=6; refresh_rate=0
	//#define RED_LASER_COLOR					0x00c3ffff	//R=63; G=63; B=3; M=3; refresh_rate=0
	//#define RED_LASER_COLOR					0x0041f7df	//R=62; G=62; B=62; M=2; refresh_rate=0	
	//#define RED_LASER_COLOR					0x0042fbef	//R=61; G=61; B=61; M=2; refresh_rate=0
	//#define RED_LASER_COLOR					0x00a175d7	//R=58; G=58; B=58; M=5; refresh_rate=0
	//#define RED_LASER_COLOR					0x00e279e7	//R=57; G=57; B=57; M=7; refresh_rate=0
	#define RED_LASER_COLOR					0x001071c7	//R=56; G=56; B=56; M=8; refresh_rate=0
	

	
	#define GOOD_SWIPE_LINE_COL	0x00000000	//(black)
	#define BAD_SWIPE_LINE_COL		0xFFF00000	//(red)

	struct LaserTrackerModule {
		int colorLimits;
		long long currentPositions;
	};
	struct LocalTrackerDataStruct {
		long long in_buf_L;
		int in_buf_I, out_buf_I;
		int X_pos_1, Y_pos_1, F_num_1, X_pos_2, Y_pos_2, F_num_2;
	};
	
	void getRawLaserCoordinates(struct LaserTrackerModule * modulePtr, struct LocalTrackerDataStruct * dataStructPtr);
	void drawSwipeLine(struct Screen* in, unsigned int color, int x1, int y1, int x2, int y2);

#endif
