

#include "Objects.h"

struct IntVector2 IVAdd(struct Vector2* v1, struct Vector2* v2)
{
	struct IntVector2 vec;
	vec.x = v1->x + v2->x;
	vec.y = v1->y + v2->y;
	return vec;
}
	
struct IntVector2 IVZero()
{
	struct IntVector2 vec;
	vec.x = 0;
	vec.y = 0;
	return vec;
}
	
struct IntVector2 IVMakeVec(int x, int y)
{
	struct IntVector2 vec;
	vec.x = x;
	vec.y = y;
	return vec;
}

struct Vector2 Add(struct Vector2* v1, struct Vector2* v2)
{
	struct Vector2 vec;
	vec.x = v1->x + v2->x;
	vec.y = v1->y + v2->y;
	return vec;
}
	
struct Vector2 Zero()
{
	struct Vector2 vec;
	vec.x = 0;
	vec.y = 0;
	return vec;
}
	
struct Vector2 MakeVec(float x, float y)
{
	struct Vector2 vec;
	vec.x = x;
	vec.y = y;
	return vec;
}

struct Target MakeTarget(int x, int y, int speedx, int speedy, int colour)
{
	struct Target target;
	target.Position = IVMakeVec(x, y);
	target.Speed = IVMakeVec(speedx, speedy);
	target.Colour = colour;
	return target;
	
}
