//2011.03.30.L -> Implemented 2 Dot Laser Tracking; Fixed Some Minor Stuff

#include "VGA.h"

//Writes the given pixel value to the given screen at the given x-y location
void write_pixel(struct Screen* in, unsigned int value, unsigned int x, unsigned int y)
{
	in->pixel_data[(y * 1024) + x] = value;
}

//Writes the given RGB pixel value to the given screen at the given x-y location
void write_pixel_rgb(struct Screen* in, unsigned int R, unsigned int G, unsigned int B, unsigned int x, unsigned int y)
{
		in->pixel_data[(y * 1024) + x] = (R * 65536) + (G * 256) + B;
}

//Clears the given screen to the given pixel value
void cal_screen(struct Screen* in, unsigned int value, unsigned int box_color, int cal_pos)
{
	int i, j;
	
	//Loop through all pixels and set them to "value"
	for(j = 0; j < VGA_Y_RES; j++)
	{
		for(i = 0; i < VGA_X_RES; i++)
		{
			if (i == 50 || i == 590)
				in->pixel_data[(j * 1024) + i] = box_color;
			else if (j == 50 || j == 430)
				in->pixel_data[(j * 1024) + i] = box_color;
			else
				in->pixel_data[(j * 1024) + i] = value;
		}
	}
	if (cal_pos == 1){
		in->pixel_data[(50 * 1024) + 40] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 41] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 42] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 43] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 44] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 45] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 46] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 47] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 48] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 49] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 51] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 52] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 53] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 54] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 55] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 56] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 57] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 58] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 59] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 60] = 0x0FF0000;

		in->pixel_data[(40 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(41 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(42 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(43 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(44 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(45 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(46 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(47 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(48 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(49 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(50 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(51 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(52 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(53 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(54 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(55 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(56 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(57 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(58 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(59 * 1024) + 50] = 0x0FF0000;
		in->pixel_data[(60 * 1024) + 50] = 0x0FF0000;
	}
	else if (cal_pos == 2){
		in->pixel_data[(430 * 1024) + 580] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 581] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 582] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 583] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 584] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 585] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 586] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 587] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 588] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 589] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 591] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 592] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 593] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 594] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 595] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 596] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 597] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 598] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 599] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 600] = 0x0FF0000;

		in->pixel_data[(420 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(421 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(422 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(423 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(424 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(425 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(426 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(427 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(428 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(429 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(430 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(431 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(432 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(433 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(434 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(435 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(436 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(437 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(438 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(439 * 1024) + 590] = 0x0FF0000;
		in->pixel_data[(440 * 1024) + 590] = 0x0FF0000;
	}
}

//Clears the given screen to the given pixel value
void clear_screen(struct Screen* in, unsigned int value, unsigned int box_color)
{
	int i, j;
	
	//Loop through all pixels and set them to "value"
	for(j = 0; j < VGA_Y_RES; j++)
	{
		for(i = 0; i < VGA_X_RES; i++)
		{
			if (!((i == 50 || i == 590) || (j == 50 || j == 430)))
				if (in->pixel_data[(j * 1024) + i] != value);
					in->pixel_data[(j * 1024) + i] = value;
		}
	}
}

//Initializes the given Buffered_screen struct with the given screen and xps_tft control pointer information
//The control pointer points to the first memory location of the xps_tft's PLB slave interface and can be used
//to switch what place in memory the module is reading from
void init_buffered_screen(struct Buffered_screen* in, struct Screen* screen_a, struct Screen* screen_b, int* control)
{
	//copy the screen pointers
	in->screen_0 = screen_a;
	in->screen_1 = screen_b;

	//clear the given screens
	cal_screen(screen_a, 0,0,0);
	cal_screen(screen_b, 0,0,0);
	
	//Set up the doubl buffering state
	in->displayed = 0;
	
	//copy the vga-controllers access pointer
	in->control = control;
	(*(in->control)) = (int)screen_a;
}

//Makes the VGA controller swap between the two different vga screens
void swap(struct Buffered_screen* in)
{
	//Inspect which screen is beeing displayed
	if(in->displayed == 0)
	{
		//Switch which screen is beeing displayed
		in->displayed = 1;
		
		//Force the vga controller to switch to the new screen
		(*(in->control)) = (int)(in->screen_1);
	}
	else
	{
		//Switch which screen is beeing displayed
		in->displayed = 0;
		
		//Force the vga controller to switch to the new screen
		(*(in->control)) = (int)(in->screen_0);
	}
}

//Returns the screen that is not currently beeing displayed
struct Screen* get_undisplayed(struct Buffered_screen* in)
{
	//Check which screen is beeing displayed and returns the appropriate one
	if(in->displayed == 0)
	{
		return in->screen_1;
	}
	else
	{
		return in->screen_0;
	}
}

//Gets the pixel value at the given x-y location of the given vga screen
unsigned int get_pixel(struct Screen* in, unsigned int x, unsigned int y)
{
	return in->pixel_data[(y * 1024) + x];
}
